REPO(1)

NAME
repo - repo diffmanifests - manual page for repo diffmanifests

SYNOPSIS
repo diffmanifests manifest1.xml [manifest2.xml] [options]

DESCRIPTION
Summary

Manifest diff utility

OPTIONS

-h, --help
    show this help message and exit

--raw
    display raw diff

--no-color
    does not display the diff in color

--pretty-format=<FORMAT>
    print the log using a custom git pretty format string

  Logging options:

-v, --verbose
    show all output

-q, --quiet
    only show errors

  Multi-manifest options:

--outer-manifest
    operate starting at the outermost manifest

--no-outer-manifest
    do not operate on outer manifests

--this-manifest-only
    only operate on this (sub)manifest

--no-this-manifest-only, --all-manifests
    operate on this manifest and its submanifests

Run `repo help diffmanifests` to view the detailed manual.

DETAILS

The repo diffmanifests command shows differences between project revisions of manifest1 and manifest2. if manifest2 is not specified, current manifest.xml will be used instead. Both absolute and relative paths may be used for manifests. Relative paths start from project's ".repo/manifests" folder.

The --raw option Displays the diff in a way that facilitates parsing, the project pattern will be <status> <path> <revision from> [<revision to>] and the commit pattern will be <status> <onelined log> with status values respectively :

    A = Added project R = Removed project C = Changed project U = Project with unreachable revision(s) (revision(s) not found)

for project, and

    A = Added commit R = Removed commit

for a commit.

Only changed projects may contain commits, and commit status always starts with a space, and are part of last printed project. Unreachable revisions may occur if project is not up to date or if repo has not been initialized with all the groups, in which case some projects won't be synced and their revisions won't be found.